Bug 888733 - [abrt] hotot-gtk-0.9.9-1.20121215gitcaad812.fc18: __init__.py:77:require_version:ValueError: Namespace WebKit not available for version 3.0
Summary: [abrt] hotot-gtk-0.9.9-1.20121215gitcaad812.fc18: __init__.py:77:require_vers...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hotot
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:59071c9146c8263c1e5e49a4cc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 11:17 UTC by bizza
Modified: 2013-02-01 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-01 16:28:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (642 bytes, text/plain)
2012-12-19 11:17 UTC, bizza
no flags Details
File: core_backtrace (292 bytes, text/plain)
2012-12-19 11:17 UTC, bizza
no flags Details
File: environ (1.52 KB, text/plain)
2012-12-19 11:17 UTC, bizza
no flags Details
File: smolt_data (3.43 KB, text/plain)
2012-12-19 11:17 UTC, bizza
no flags Details
Patch to require webkitgtk3 (485 bytes, patch)
2013-01-02 04:23 UTC, William Graham
no flags Details | Diff

Description bizza 2012-12-19 11:17:16 UTC
Description of problem:
just open application

Version-Release number of selected component:
hotot-gtk-0.9.9-1.20121215gitcaad812.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/hotot
dso_list:       pygobject3-base-3.4.2-4.fc18.x86_64
executable:     /usr/bin/hotot
kernel:         3.6.11-3.fc18.x86_64
uid:            1000

Truncated backtrace:
__init__.py:77:require_version:ValueError: Namespace WebKit not available for version 3.0

Traceback (most recent call last):
  File "/usr/bin/hotot", line 13, in <module>
    import hotot.hotot
  File "/usr/lib64/python2.7/site-packages/hotot/hotot.py", line 16, in <module>
    gi.require_version('WebKit', '3.0')
  File "/usr/lib64/python2.7/site-packages/gi/__init__.py", line 77, in require_version
    (namespace, version))
ValueError: Namespace WebKit not available for version 3.0

Local variables in innermost frame:
available_versions: ['1.0']
version: '3.0'
namespace: 'WebKit'
repository: <gi.Repository object at 0x7f27aa299450>

Comment 1 bizza 2012-12-19 11:17:19 UTC
Created attachment 666021 [details]
File: backtrace

Comment 2 bizza 2012-12-19 11:17:21 UTC
Created attachment 666022 [details]
File: core_backtrace

Comment 3 bizza 2012-12-19 11:17:23 UTC
Created attachment 666023 [details]
File: environ

Comment 4 bizza 2012-12-19 11:17:25 UTC
Created attachment 666024 [details]
File: smolt_data

Comment 5 William Graham 2013-01-02 03:21:46 UTC
I can confirm this bug. The fix is for hotot-gtk to require the package webkitgtk3 (not webkitgtk).

Comment 6 William Graham 2013-01-02 04:23:14 UTC
Created attachment 671246 [details]
Patch to require webkitgtk3

A quick patch that fixes the spec file. I did a rebuild on my local machine and the hotot-gtk RPM pulled in webkitgtk3.

Perhaps it be appropriate to rename hotot-gtk to hotot-gtk3. Not sure what the convention is.

Comment 7 Fedora Update System 2013-01-06 01:19:52 UTC
hotot-0.9.9-2.20121215gitcaad812.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hotot-0.9.9-2.20121215gitcaad812.fc18

Comment 8 Fedora Update System 2013-01-06 01:21:06 UTC
hotot-0.9.9-1.20121215gitcaad812.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hotot-0.9.9-1.20121215gitcaad812.fc17

Comment 9 Fedora Update System 2013-01-06 21:52:40 UTC
Package hotot-0.9.9-2.20121215gitcaad812.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hotot-0.9.9-2.20121215gitcaad812.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0315/hotot-0.9.9-2.20121215gitcaad812.fc18
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-01-13 07:01:50 UTC
hotot-0.9.9-3.20121215gitcaad812.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hotot-0.9.9-3.20121215gitcaad812.fc18

Comment 11 Fedora Update System 2013-01-13 07:02:56 UTC
hotot-0.9.9-3.20121215gitcaad812.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hotot-0.9.9-3.20121215gitcaad812.fc17

Comment 12 Fedora Update System 2013-02-01 16:29:01 UTC
hotot-0.9.9-3.20121215gitcaad812.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-02-01 16:43:31 UTC
hotot-0.9.9-3.20121215gitcaad812.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.